%%

%%

clear
load filelist
load imgdata
N = length(files);
pixel_width = size(imread(files{1}),2);

%%

wobj = 3*7; % inches
for m=1:N
    a = data(2,:,m)-data(1,:,m);
    wid(m) = norm(a);
end

%%

z = [43.5 67  67+(1:5)*24];

%%

y = wobj./wid;
plot(z,y,'ko','LineWidth',2,'MarkerSize',6,'MarkerFaceColor','yellow');
c = polyfit(z,y,1);
hold on
r = [0 max(z)];
plot(r,polyval(c,r),'k');
hold off
grid
xlabel('distance (inches)');
ylabel('actual/measured (inches/pixel)');

%%

fprintf('z intercept %g\n',-c(2)/c(1))
f = 1/c(1);
fprintf('f %g pixels\n',f);
fprintf('image width %d pixels\n',pixel_width);
fprintf('horizontal field of view %g deg\n', 2*atan(0.5*pixel_width/f)*180/pi);

save efldata y z c f


